Skip to main content
`Ctrl`+`K`

# TSSetProblemType

Sets the type of problem to be solved.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetProblemType(TS ts, TSProblemType type)

Not collective

## Input Parameters

- ts - The `TS`

- type - One of `TS_LINEAR`, `TS_NONLINEAR` where these types refer to problems of the forms

             U_t - A U = 0      (linear)
             U_t - A(t) U = 0   (linear)
             F(t,U,U_t) = 0     (nonlinear)

## See Also

TS: Scalable ODE and DAE Solvers, `TSSetUp()`, `TSProblemType`, `TS`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex27.c
src/ts/tutorials/ex17.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex1.c
src/ts/tutorials/ex10.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex51.c
src/ts/tutorials/ex15.c
src/ts/tutorials/ex14.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages